Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/readyGET
Response
200 · The service is ready, or degraded while serving with partial runtime capacity or degraded attach evidence
status *"ready" | "degraded" | "warming" | "unavailable"
checkedAt *string
controlPlane *object
Show properties
status *"ready" | "unavailable"
reasons?object[]
Show item properties
code *string
detail *string
dataPlane *object
Show properties
status *"ready" | "degraded" | "warming" | "unavailable"
region *stringnull
readyRuntimes *integer
Min: 0
minimumWarmRuntimes *integer
Min: 0
rollout?object
Show properties
staleRuntimes *integer
Min: 0
surge *"idle" | "preparing" | "active"
surgeRuntimes?integer
Min: 0
maxSurgeRuntimes?integer
stalled *boolean
waiting?boolean
lastSurgeFailure *objectnull
lastMigrationFailure *objectnull
runtimes *object[]
Show item properties
runtimeId *string
Min length: 1
lastSuccessfulAttachAt *string,null (date-time)
lastAttachFailureAt *string,null (date-time)
consecutiveAttachFailures *integer
Min: 0
attachDegraded *boolean
durableDirectory?"available" | "unavailable" | "degraded"
reasons?object[]
Show item properties
code *string
detail *string
reasons?object[]
Show item properties
code *string
detail *string
503 · The service is warming with no serving runtime, or unavailable
status *"ready" | "degraded" | "warming" | "unavailable"
checkedAt *string
controlPlane *object
Show properties
status *"ready" | "unavailable"
reasons?object[]
Show item properties
code *string
detail *string
dataPlane *object
Show properties
status *"ready" | "degraded" | "warming" | "unavailable"
region *stringnull
readyRuntimes *integer
Min: 0
minimumWarmRuntimes *integer
Min: 0
rollout?object
Show properties
staleRuntimes *integer
Min: 0
surge *"idle" | "preparing" | "active"
surgeRuntimes?integer
Min: 0
maxSurgeRuntimes?integer
stalled *boolean
waiting?boolean
lastSurgeFailure *objectnull
lastMigrationFailure *objectnull
runtimes *object[]
Show item properties
runtimeId *string
Min length: 1
lastSuccessfulAttachAt *string,null (date-time)
lastAttachFailureAt *string,null (date-time)
consecutiveAttachFailures *integer
Min: 0
attachDegraded *boolean
durableDirectory?"available" | "unavailable" | "degraded"
reasons?object[]
Show item properties
code *string
detail *string
reasons?object[]
Show item properties
code *string
detail *string
Request example
curl -X GET "https://api.fivesocket.com/ready"